Upstream information

CVE-2020-14001 at MITRE

Description

The kramdown gem before 2.3.0 for Ruby processes the template option inside Kramdown documents by default, which allows unintended read access (such as template="/etc/passwd") or unintended embedded Ruby code execution (such as a string that begins with template="string://<%= `). NOTE: kramdown is used in Jekyll, GitLab Pages, GitHub Pages, and Thredded Forum.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:L
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1174297 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP1-SAP-Azure-LI-BYOS-Production
Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-Azure
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-BYOS-Azure
Image SLES15-SP2-SAP-BYOS-EC2-HVM
Image SLES15-SP2-SAP-BYOS-GCE
Image SLES15-SP2-SAP-EC2-HVM
Image SLES15-SP2-SAP-GCE
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-SAP-BYOS-Azure
Image SLES15-SP3-SAP-BYOS-EC2-HVM
Image SLES15-SP3-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Azure-LI-BYOS
Image SLES15-SP4-SAP-Azure-LI-BYOS-Production
Image SLES15-SP4-SAP-Azure-VLI-BYOS
Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP4-SAP-BYOS
Image SLES15-SP4-SAP-BYOS-Azure
Image SLES15-SP4-SAP-BYOS-EC2
Image SLES15-SP4-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Hardened-BYOS
Image SLES15-SP4-SAP-Hardened-BYOS-Azure
Image SLES15-SP4-SAP-Hardened-BYOS-EC2
Image SLES15-SP4-SAP-Hardened-BYOS-GCE
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
SUSE Linux Enterprise High Availability 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-SP1-2022-3259
SUSE Linux Enterprise High Availability 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-SP2-2022-3259
SUSE Linux Enterprise High Availability 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-SP3-2022-3259
SUSE Linux Enterprise High Availability 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-SP4-2022-3259
SUSE Linux Enterprise High Availability 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-2022-3259
openSUSE Leap 15.3
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
  • ruby2.5-rubygem-kramdown-doc >= 1.15.0-150000.3.3.1
  • ruby2.5-rubygem-kramdown-testsuite >= 1.15.0-150000.3.3.1
Patchnames:
openSUSE-SLE-15.3-2022-3259
openSUSE Leap 15.4
  • ruby2.5-rubygem-kramdown >= 1.15.0-150000.3.3.1
  • ruby2.5-rubygem-kramdown-doc >= 1.15.0-150000.3.3.1
  • ruby2.5-rubygem-kramdown-testsuite >= 1.15.0-150000.3.3.1
Patchnames:
openSUSE-SLE-15.4-2022-3259
openSUSE Tumbleweed
  • ruby2.7-rubygem-kramdown >= 2.3.1-1.3
  • ruby3.0-rubygem-kramdown >= 2.3.1-1.3
  • ruby3.1-rubygem-kramdown >= 2.4.0-1.1
Patchnames:
openSUSE Tumbleweed GA ruby2.7-rubygem-kramdown-2.3.1-1.3
openSUSE Tumbleweed GA ruby3.1-rubygem-kramdown-2.4.0-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Availability 15 rubygem-kramdown Released
SUSE Linux Enterprise High Availability 15 SP1 rubygem-kramdown Released
SUSE Linux Enterprise High Availability 15 SP2 rubygem-kramdown Released
SUSE Linux Enterprise High Availability 15 SP3 rubygem-kramdown Released
SUSE Linux Enterprise High Availability 15 SP4 rubygem-kramdown Released
SUSE Linux Enterprise High Availability Extension 15 rubygem-kramdown Released
SUSE Linux Enterprise High Availability Extension 15 SP1 rubygem-kramdown Released
SUSE Linux Enterprise High Availability Extension 15 SP2 rubygem-kramdown Released
SUSE Linux Enterprise High Availability Extension 15 SP3 rubygem-kramdown Released
SUSE Linux Enterprise High Availability Extension 15 SP4 rubygem-kramdown Released
SUSE Linux Enterprise High Performance Computing 15 rubygem-kramdown Released
SUSE Linux Enterprise High Performance Computing 15 SP1 rubygem-kramdown Released
SUSE Linux Enterprise High Performance Computing 15 SP2 rubygem-kramdown Released
SUSE Linux Enterprise High Performance Computing 15 SP3 rubygem-kramdown Released
SUSE Linux Enterprise High Performance Computing 15 SP4 rubygem-kramdown Released
SUSE Linux Enterprise Server 15 rubygem-kramdown Released
SUSE Linux Enterprise Server 15 SP1 rubygem-kramdown Released
SUSE Linux Enterprise Server 15 SP2 rubygem-kramdown Released
SUSE Linux Enterprise Server 15 SP3 rubygem-kramdown Released
SUSE Linux Enterprise Server 15 SP4 rubygem-kramdown Released
SUSE Linux Enterprise Server for SAP Applications 15 rubygem-kramdown Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rubygem-kramdown Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rubygem-kramdown Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rubygem-kramdown Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rubygem-kramdown Released
SUSE Manager Proxy 4.0 rubygem-kramdown Released
SUSE Manager Proxy 4.1 rubygem-kramdown Released
SUSE Manager Proxy 4.2 rubygem-kramdown Released
SUSE Manager Proxy 4.3 rubygem-kramdown Released
SUSE Manager Retail Branch Server 4.0 rubygem-kramdown Released
SUSE Manager Retail Branch Server 4.1 rubygem-kramdown Released
SUSE Manager Retail Branch Server 4.2 rubygem-kramdown Released
SUSE Manager Retail Branch Server 4.3 rubygem-kramdown Released
SUSE Manager Server 4.0 rubygem-kramdown Released
SUSE Manager Server 4.1 rubygem-kramdown Released
SUSE Manager Server 4.2 rubygem-kramdown Released
SUSE Manager Server 4.3 rubygem-kramdown Released


SUSE Timeline for this CVE

CVE page created: Fri Jul 17 22:26:02 2020
CVE page last modified: Tue Nov 29 15:13:08 2022